Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

# Class DifferenceFilterChange

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl.DifferenceFilterChange

All Implemented Interfaces:
  `ICompareEvent`, `IDifferenceFilterChange`

public class DifferenceFilterChange extends Object implements IDifferenceFilterChange
The default implementation of `IDifferenceFilterChange`.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`DifferenceFilterChange(com.google.common.base.Predicate<? super EObject> predicate, Set<IDifferenceFilter> selectedDifferenceFilters, Set<IDifferenceFilter> unselectedDifferenceFilters)`
Default Constructor.

## Method Summary

Modifier and Type
Method
Description
`com.google.common.base.Predicate<? super EObject>`
`getPredicate()`
Returns a `Predicate` that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.
`Collection<IDifferenceFilter>`
`getSelectedDifferenceFilters()`
Returns the list of selected `IDifferenceFilter`.
`Collection<IDifferenceFilter>`
`getUnselectedDifferenceFilters()`
Returns the list of unselected `IDifferenceFilter`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceFilterChange

public DifferenceFilterChange(com.google.common.base.Predicate<? super EObject> predicate, Set<IDifferenceFilter> selectedDifferenceFilters, Set<IDifferenceFilter> unselectedDifferenceFilters)
Default Constructor.

Parameters:
  `predicate` - a predicate that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.
  `selectedDifferenceFilters` - the list of selected filters.
  `unselectedDifferenceFilters` - the list of unselected filters.

## Method Details

### getPredicate

public com.google.common.base.Predicate<? super EObject> getPredicate()
Returns a `Predicate` that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.

Specified by:
  `getPredicate` in interface `IDifferenceFilterChange`
Returns:
  a predicate that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.
See Also:
  - `IDifferenceFilterChange.getPredicate()`

### getSelectedDifferenceFilters

public Collection<IDifferenceFilter> getSelectedDifferenceFilters()
Returns the list of selected `IDifferenceFilter`.

Specified by:
  `getSelectedDifferenceFilters` in interface `IDifferenceFilterChange`
Returns:
  the list of selected filters.
See Also:
  - `IDifferenceFilterChange.getSelectedDifferenceFilters()`

### getUnselectedDifferenceFilters

public Collection<IDifferenceFilter> getUnselectedDifferenceFilters()
Returns the list of unselected `IDifferenceFilter`.

Specified by:
  `getUnselectedDifferenceFilters` in interface `IDifferenceFilterChange`
Returns:
  the list of unselected filters.
See Also:
  - `IDifferenceFilterChange.getUnselectedDifferenceFilters()`